Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Gnome2 - glib -> iconv-Error

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
MoDiMiDo
Gast





BeitragVerfasst am: 26. Apr 2002 21:41   Titel: Gnome2 - glib -> iconv-Error

Tach auch,

Tja also, ich versuch schon seit'ner ganzen weile Gnome2 zu installieren. Und da ich mir eigentlich nicht die Arbeit machen wollte, jedes Programm und Progrämmchen wieder zu Fuß zu installieren, so wie ich's bei Gnome1.4 gemacht habe, wollte ich eigentlich garnome nutzen. Das stieg aber beim make von glib mit einer ähnlichen (eher wohl der gleichen) Fehlermeldung wie der folgenden (ist übrigens die Fehlermeldung vom 'vicious-build-scripts', welches das gleiche Problem mit glib hat) aus:

make: Wechsel in das Verzeichnis Verzeichnis »/gnome/head/cvs/glib/glib«
/bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_LOG_DOMAIN=\"GLib\" -DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -O2 -march=i586 -mcpu=i586 -Wall -D_REENTRANT -c gconvert.c
gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_LOG_DOMAIN=\"GLib\" -DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED -DGLIB_COMPILATION -I/usr/include/w3c-libwww -O3 -march=pentium -mcpu=i586 -Wall -D_REENTRANT -Wp,-MD,.deps/gconvert.pp -c gconvert.c -fPIC -DPIC -o gconvert.lo
gconvert.c:45: #error GNU libiconv not in use but included iconv.h is from libiconv
make: *** [gconvert.lo] Fehler 1

Das Verückte an der ganzen Sache ist, das ich dann doch wieder angefangen habe, alles von Hand zu erstellen, vollkommen planlos mit welchem Paket ich anfangen soll und nur auf die Fehlermeldungen der configure-scripte vertrauend, welches Paket zuerst benötigt wird. Und siehe da es lief alles wie geschmiert und ohne das dabei solche Fehlermeldung wie die obige kam. Danach hab ich ein Scipt erstellt, das eine Schleife durchläuft, die solange laufen soll, bis alle vorhandenen Pakete erfolgreich installiert wurden (also beim Abbruch eines configure-scriptes einfach zum nächsten Programm geht) ... und jetzt dürft ihr mal raten ... es bleibt beim make von glib in der Schleife hängen; mit der obigen Fehlermeldung????

Hat einer'ne Meinung dazu, woran das liegen könnte???

Ich habe bei meinem "Fußweg" alle Progamme mit dem berühmten Dreisatz (ohne weitere Optionen außer --prefix) erstellt und da es damit keine Probleme gab, war mein Script auch ziemlich schnell erstellt, und da läuft es nicht (genau wie bei garnome und vicious-build-script). Liegt es evtl. daran das Scripte versuchen alles "in einem Abwasch" zu installieren, also ohne Unterbrechung, wie's beim Fußweg der Fall ist?!?

Also falls jemand einen Tipp hat...Hier Antworten - Ich schau hier öfter vorbei!

Bis denn
MoDiMiDo
 

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy